GET
https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages
Danh sách gói thương mại
Auth: Bearer
Branch #18 — Thanh toán gói và cấp entitlement tự động cho client plugin.
https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages
Danh sách gói thương mại
Auth: Bearer
https://bizgpt.vn/wp-json/bizcity-commerce/v1/checkout
Tạo checkout
Auth: Bearer
https://bizgpt.vn/wp-json/bizcity-commerce/v1/orders/{id}
Chi tiết đơn hàng
Auth: Bearer
https://bizgpt.vn/wp-json/bizcity-license/v1/entitlement
Cập nhật quyền truy cập
Auth: Bearer
https://bizgpt.vn/wp-json/bizcity-license/v1/webhook/woo-order-paid
Đồng bộ từ WooCommerce
Auth: Signed webhook
| Method | Path | Auth | Mô tả |
|---|---|---|---|
| GET | https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages |
Bearer | Danh sách gói thương mại |
| POST | https://bizgpt.vn/wp-json/bizcity-commerce/v1/checkout |
Bearer | Tạo checkout |
| GET | https://bizgpt.vn/wp-json/bizcity-commerce/v1/orders/{id} |
Bearer | Chi tiết đơn hàng |
| PATCH | https://bizgpt.vn/wp-json/bizcity-license/v1/entitlement |
Bearer | Cập nhật quyền truy cập |
| POST | https://bizgpt.vn/wp-json/bizcity-license/v1/webhook/woo-order-paid |
Signed webhook | Đồng bộ từ WooCommerce |
curl -X GET "https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages" -H "Authorization: Bearer biz-YOUR_KEY"
const res = await fetch('https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages', {
method: 'GET',
headers: {
Authorization: 'Bearer biz-YOUR_KEY',
},
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages"
headers = {'Authorization': 'Bearer biz-YOUR_KEY'}
res = requests.get(url, headers=headers)
print(res.json())
curl -X POST "https://bizgpt.vn/wp-json/bizcity-commerce/v1/checkout" -H "Authorization: Bearer biz-YOUR_KEY" -H "Content-Type: application/json" -d '{"package_id":"master_pro","site_url":"https://client-site.com"}'
const res = await fetch('https://bizgpt.vn/wp-json/bizcity-commerce/v1/checkout', {
method: 'POST',
headers: {
Authorization: 'Bearer biz-YOUR_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"package_id":"master_pro","site_url":"https://client-site.com"}),
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity-commerce/v1/checkout"
headers = {'Authorization': 'Bearer biz-YOUR_KEY', 'Content-Type': 'application/json'}
payload = '{"package_id":"master_pro","site_url":"https://client-site.com"}'
res = requests.request("POST", url, headers=headers, data=payload)
print(res.json())
curl -X GET "https://bizgpt.vn/wp-json/bizcity-commerce/v1/orders/{id}" -H "Authorization: Bearer biz-YOUR_KEY"
const res = await fetch('https://bizgpt.vn/wp-json/bizcity-commerce/v1/orders/{id}', {
method: 'GET',
headers: {
Authorization: 'Bearer biz-YOUR_KEY',
},
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity-commerce/v1/orders/{id}"
headers = {'Authorization': 'Bearer biz-YOUR_KEY'}
res = requests.get(url, headers=headers)
print(res.json())
curl -X PATCH "https://bizgpt.vn/wp-json/bizcity-license/v1/entitlement" -H "Authorization: Bearer biz-YOUR_KEY" -H "Content-Type: application/json" -d '{"sample":true}'
const res = await fetch('https://bizgpt.vn/wp-json/bizcity-license/v1/entitlement', {
method: 'PATCH',
headers: {
Authorization: 'Bearer biz-YOUR_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({"sample":true}),
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity-license/v1/entitlement"
headers = {'Authorization': 'Bearer biz-YOUR_KEY', 'Content-Type': 'application/json'}
payload = '{"sample":true}'
res = requests.request("PATCH", url, headers=headers, data=payload)
print(res.json())
curl -X POST "https://bizgpt.vn/wp-json/bizcity-license/v1/webhook/woo-order-paid" -H "Content-Type: application/json" -d '{"sample":true}'
const res = await fetch('https://bizgpt.vn/wp-json/bizcity-license/v1/webhook/woo-order-paid', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
},
body: JSON.stringify({"sample":true}),
});
const data = await res.json();
console.log(data);
import requests
url = "https://bizgpt.vn/wp-json/bizcity-license/v1/webhook/woo-order-paid"
headers = {'Content-Type': 'application/json'}
payload = '{"sample":true}'
res = requests.request("POST", url, headers=headers, data=payload)
print(res.json())
curl -X GET https://bizgpt.vn/wp-json/bizcity-commerce/v1/packages -H "Authorization: Bearer biz-YOUR_KEY"
docs/api/18-commerce-license-hub.md